Orxonox: dispatch< R > Struct Template Reference

# dispatch< R > Struct Template Reference

`#include <src/cpptcl/details/dispatchers.h>`

List of all members.

## Static Public Member Functions

template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9, class Functor>
static void | do_dispatch (Tcl_Interp *interp, Functor f, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6, T7 t7, T8 t8, T9 t9)
template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, class Functor>
static void | do_dispatch (Tcl_Interp *interp, Functor f, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6, T7 t7, T8 t8)
template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, class Functor>
static void | do_dispatch (Tcl_Interp *interp, Functor f, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6, T7 t7)
template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, class Functor>
static void | do_dispatch (Tcl_Interp *interp, Functor f, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6)
template<typename T1, typename T2, typename T3, typename T4, typename T5, class Functor>
static void | do_dispatch (Tcl_Interp *interp, Functor f, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5)
template<typename T1, typename T2, typename T3, typename T4, class Functor>
static void | do_dispatch (Tcl_Interp *interp, Functor f, T1 t1, T2 t2, T3 t3, T4 t4)
template<typename T1, typename T2, typename T3, class Functor>
static void | do_dispatch (Tcl_Interp *interp, Functor f, T1 t1, T2 t2, T3 t3)
template<typename T1, typename T2, class Functor>
static void | do_dispatch (Tcl_Interp *interp, Functor f, T1 t1, T2 t2)
template<typename T1, class Functor>
static void | do_dispatch (Tcl_Interp *interp, Functor f, T1 t1)
template<class Functor>
static void | do_dispatch (Tcl_Interp *interp, Functor f)

### template<typename R>
struct dispatch< R >

## Member Function Documentation

template<typename R>
template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9, class Functor>

static void dispatch< R >::do_dispatch | ( | Tcl_Interp * | interp,
|  | Functor | f,
|  | T1 | t1,
|  | T2 | t2,
|  | T3 | t3,
|  | T4 | t4,
|  | T5 | t5,
|  | T6 | t6,
|  | T7 | t7,
|  | T8 | t8,
|  | T9 | t9 |
| ) |  |  | `[inline, static]`

References orxonox::KeyCode::R, and Tcl::details::set_result().

template<typename R>
template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, class Functor>

static void dispatch< R >::do_dispatch | ( | Tcl_Interp * | interp,
|  | Functor | f,
|  | T1 | t1,
|  | T2 | t2,
|  | T3 | t3,
|  | T4 | t4,
|  | T5 | t5,
|  | T6 | t6,
|  | T7 | t7,
|  | T8 | t8 |
| ) |  |  | `[inline, static]`

References orxonox::KeyCode::R, and Tcl::details::set_result().

template<typename R>
template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, class Functor>

static void dispatch< R >::do_dispatch | ( | Tcl_Interp * | interp,
|  | Functor | f,
|  | T1 | t1,
|  | T2 | t2,
|  | T3 | t3,
|  | T4 | t4,
|  | T5 | t5,
|  | T6 | t6,
|  | T7 | t7 |
| ) |  |  | `[inline, static]`

References orxonox::KeyCode::R, and Tcl::details::set_result().

template<typename R>
template<typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, class Functor>

static void dispatch< R >::do_dispatch | ( | Tcl_Interp * | interp,
|  | Functor | f,
|  | T1 | t1,
|  | T2 | t2,
|  | T3 | t3,
|  | T4 | t4,
|  | T5 | t5,
|  | T6 | t6 |
| ) |  |  | `[inline, static]`

References orxonox::KeyCode::R, and Tcl::details::set_result().

template<typename R>
template<typename T1, typename T2, typename T3, typename T4, typename T5, class Functor>

static void dispatch< R >::do_dispatch | ( | Tcl_Interp * | interp,
|  | Functor | f,
|  | T1 | t1,
|  | T2 | t2,
|  | T3 | t3,
|  | T4 | t4,
|  | T5 | t5 |
| ) |  |  | `[inline, static]`

References orxonox::KeyCode::R, and Tcl::details::set_result().

template<typename R>
template<typename T1, typename T2, typename T3, typename T4, class Functor>

static void dispatch< R >::do_dispatch | ( | Tcl_Interp * | interp,
|  | Functor | f,
|  | T1 | t1,
|  | T2 | t2,
|  | T3 | t3,
|  | T4 | t4 |
| ) |  |  | `[inline, static]`

References orxonox::KeyCode::R, and Tcl::details::set_result().

template<typename R>
template<typename T1, typename T2, typename T3, class Functor>

static void dispatch< R >::do_dispatch | ( | Tcl_Interp * | interp,
|  | Functor | f,
|  | T1 | t1,
|  | T2 | t2,
|  | T3 | t3 |
| ) |  |  | `[inline, static]`

References orxonox::KeyCode::R, and Tcl::details::set_result().

template<typename R>
template<typename T1, typename T2, class Functor>

static void dispatch< R >::do_dispatch | ( | Tcl_Interp * | interp,
|  | Functor | f,
|  | T1 | t1,
|  | T2 | t2 |
| ) |  |  | `[inline, static]`

References orxonox::KeyCode::R, and Tcl::details::set_result().

template<typename R>
template<typename T1, class Functor>

static void dispatch< R >::do_dispatch | ( | Tcl_Interp * | interp,
|  | Functor | f,
|  | T1 | t1 |
| ) |  |  | `[inline, static]`

References orxonox::KeyCode::R, and Tcl::details::set_result().

template<typename R>
template<class Functor>

static void dispatch< R >::do_dispatch | ( | Tcl_Interp * | interp,
|  | Functor | f |
| ) |  |  | `[inline, static]`

References orxonox::KeyCode::R, and Tcl::details::set_result().

Referenced by method0< C, R >::invoke(), and callback0< R >::invoke().

The documentation for this struct was generated from the following file:

- src/cpptcl/details/dispatchers.h